Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006350TestLinkBug Tracking System - Bugzilla Integrationpublic2014-05-27 08:542014-07-28 20:33
ReporterNetolish 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.10 (2014 Q1 - bug fixing) 
Fixed in Version1.9.11 (2014 Q2 - bug fixing) 
Summary0006350: Bugzilla Integration is not working in Bugzilla 4.4.4
DescriptionIn latest Bugzilla version 4.4.4 you have to use "token" returned after successfull User.login in all next methods call. It seems Cookies are not
enough.

http://www.bugzilla.org/docs/tip/en/html/api/Bugzilla/WebService.html [^]

Attached patch resolved this issue.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespatch file icon bugzilla-token.patch [^] (3,630 bytes) 2014-05-27 08:54 [Show Content]

- Relationships
child of 0006313closedfman Availables hot-fixes for 1.9.10 & How To get full fixed package from gitorious 

-  Notes
(0021019)
fman (administrator)
2014-05-31 10:09

Thanks for your contribution

I've refactored the code.
https://gitorious.org/testlink-ga/testlink-code/commit/f9af7d0232c35fe00141121d188b1141770e642e [^]

- Issue History
Date Modified Username Field Change
2014-05-27 08:54 Netolish New Issue
2014-05-27 08:54 Netolish File Added: bugzilla-token.patch
2014-05-31 10:09 fman Note Added: 0021019
2014-05-31 10:10 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-05-31 10:10 fman Fixed in Version => 1.9.11 (2014 Q2 - bug fixing)
2014-05-31 10:10 fman Status new => resolved
2014-05-31 10:10 fman Resolution open => fixed
2014-05-31 10:10 fman Assigned To => fman
2014-05-31 10:10 fman Relationship added child of 0006313
2014-07-28 20:33 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker